﻿.loader {
    position: fixed; /* Use 'fixed' to keep the loader in view even on scroll */
    top: calc(50% - 200px); /* Position to 50% from the top */
    left: calc(50% - 200px); /* Position to 50% from the left */
    width: 400px;
    aspect-ratio: 1;
    display: grid;
    border: 20px solid #0000;
    border-radius: 50%;
    border-right-color: #1498d5;
    animation: l15 1s infinite linear;
}

    .loader::before,
    .loader::after {
        content: "";
        grid-area: 1/1;
        margin: 8px;
        border: inherit;
        border-radius: 50%;
        animation: l15 2s infinite;
    }

    .loader::after {
        margin: 32px;
        animation-duration: 3s;
    }

.center {
    margin: auto;
    width: 50%;
    padding: 10px;
}

@keyframes l15 {
    100% {
        transform: rotate(1turn)
    }
}

.loader-logo {
    position: fixed;
    top: 50%;
    left: 50%;
    width: 200px;
    height: auto;
    transform: translate(-50%, -50%);
    pointer-events: none;
    z-index: 10;
    animation: spinY 2s linear infinite;
    transform-style: preserve-3d;
}

@keyframes spinY {
    0%, 100% {
        transform: translate(-50%, -50%) rotateY(-20deg);
    }

    50% {
        transform: translate(-50%, -50%) rotateY(20deg);
    }
}